CVE-2020-11008

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Affected versions of Git have a vulnerability whereby Git can be tricked into sending private credentials to a host controlled by an attacker. This bug is similar to CVE-2020-5260(GHSA-qm7j-c969-7j4q). The fix for that bug still left the door open for an exploit where _some_ credential is leaked (but the attacker cannot control which one). Git uses external "credential helper" programs to store and retrieve passwords or other credentials from secure storage provided by the operating system. Specially-crafted URLs that are considered illegal as of the recently published Git versions can cause Git to send a "blank" pattern to helpers, missing hostname and protocol fields. Many helpers will interpret this as matching _any_ URL, and will return some unspecified stored password, leaking the password to an attacker's server. The vulnerability can be triggered by feeding a malicious URL to `git clone`. However, the affected URLs look rather suspicious; the likely vector would be through systems which automatically clone URLs not visible to the user, such as Git submodules, or package systems built around Git. The root of the problem is in Git itself, which should not be feeding blank input to helpers. However, the ability to exploit the vulnerability in practice depends on which helpers are in use. Credential helpers which are known to trigger the vulnerability: - Git's "store" helper - Git's "cache" helper - the "osxkeychain" helper that ships in Git's "contrib" directory Credential helpers which are known to be safe even with vulnerable versions of Git: - Git Credential Manager for Windows Any helper not in this list should be assumed to trigger the vulnerability.

References

http://lists.opensuse.org/opensuse-security-announce/2020-05/msg00003.html

http://seclists.org/fulldisclosure/2020/May/41

https://github.com/git/git/commit/c44088ecc4b0722636e0a305f9608d3047197282

https://github.com/git/git/security/advisories/GHSA-hjc9-x69f-jqj7

https://github.com/git/git/security/advisories/GHSA-qm7j-c969-7j4q

https://lists.debian.org/debian-lts-announce/2020/04/msg00015.html

https://lists.fedoraproject.org/archives/list/[email protected]/message/74Q7WVJ6FKLIN62VS2JD2XCNWK5TNKOW/

https://lists.fedoraproject.org/archives/list/[email protected]/message/MOCTR2SEHCPSCOVUQJAGFPGKFMI2VE6V/

https://lists.fedoraproject.org/archives/list/[email protected]/message/PN3FUOXKX3AXTULYV53ACABER2W2FSOU/

https://security.gentoo.org/glsa/202004-13

https://support.apple.com/kb/HT211183

https://usn.ubuntu.com/4334-1/

Details

Source: MITRE

Published: 2020-04-21

Updated: 2020-05-22

Type: CWE-522

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

CVSS v3

Base Score: 7.5

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Impact Score: 3.6

Exploitability Score: 3.9

Severity: HIGH

Tenable Plugins

View all (36 total)

IDNameProductFamilySeverity
154511NewStart CGSL CORE 5.05 / MAIN 5.05 : git Vulnerability (NS-SA-2021-0141)NessusNewStart CGSL Local Security Checks
high
153736EulerOS 2.0 SP9 : git (EulerOS-SA-2021-2549)NessusHuawei Local Security Checks
high
153674EulerOS 2.0 SP9 : git (EulerOS-SA-2021-2525)NessusHuawei Local Security Checks
high
146765EulerOS 2.0 SP2 : git (EulerOS-SA-2021-1298)NessusHuawei Local Security Checks
high
145960CentOS 8 : git (CESA-2020:1980)NessusCentOS Local Security Checks
high
145168EulerOS 2.0 SP3 : git (EulerOS-SA-2021-1068)NessusHuawei Local Security Checks
high
143893NewStart CGSL CORE 5.04 / MAIN 5.04 : git Multiple Vulnerabilities (NS-SA-2020-0075)NessusNewStart CGSL Local Security Checks
high
140083RHEL 7 : git (RHSA-2020:3581)NessusRed Hat Local Security Checks
high
139727Apple Xcode < 11.5 Git Credentials Disclosure (macOS)NessusMacOS X Local Security Checks
high
139378RHEL 7 : git (RHSA-2020:2337)NessusRed Hat Local Security Checks
high
139093Amazon Linux AMI : git (ALAS-2020-1413)NessusAmazon Linux Local Security Checks
high
138775NewStart CGSL MAIN 6.01 : git Vulnerability (NS-SA-2020-0036)NessusNewStart CGSL Local Security Checks
high
137801EulerOS Virtualization for ARM 64 3.0.6.0 : git (EulerOS-SA-2020-1694)NessusHuawei Local Security Checks
high
137167FreeBSD : malicious URLs can cause git to send a stored credential to wrong server (67765237-8470-11ea-a283-b42e99a1b9c3)NessusFreeBSD Local Security Checks
high
137016EulerOS 2.0 SP5 : git (EulerOS-SA-2020-1598)NessusHuawei Local Security Checks
high
136991Scientific Linux Security Update : git on SL7.x x86_64 (20200529)NessusScientific Linux Local Security Checks
high
136958Oracle Linux 7 : git (ELSA-2020-2337)NessusOracle Linux Local Security Checks
high
136856EulerOS 2.0 SP8 : git (EulerOS-SA-2020-1578)NessusHuawei Local Security Checks
high
136789SUSE SLES12 Security Update : git (SUSE-SU-2020:1295-1)NessusSuSE Local Security Checks
high
136697Photon OS 2.0: Git PHSA-2020-2.0-0243NessusPhotonOS Local Security Checks
high
136548Photon OS 1.0: Git PHSA-2020-1.0-0293NessusPhotonOS Local Security Checks
high
136446Oracle Linux 8 : git (ELSA-2020-1980)NessusOracle Linux Local Security Checks
high
136360Amazon Linux 2 : git (ALAS-2020-1416)NessusAmazon Linux Local Security Checks
high
136311openSUSE Security Update : git (openSUSE-2020-598)NessusSuSE Local Security Checks
high
136304FreeBSD : Gitlab -- Multiple Vulnerabilities (e8483115-8b8e-11ea-bdcf-001b217b3468)NessusFreeBSD Local Security Checks
medium
136211Fedora 30 : git (2020-4e093619bb)NessusFedora Local Security Checks
high
136185RHEL 8 : git (RHSA-2020:1979)NessusRed Hat Local Security Checks
high
136184RHEL 8 : git (RHSA-2020:1978)NessusRed Hat Local Security Checks
high
136181RHEL 8 : git (RHSA-2020:1980)NessusRed Hat Local Security Checks
high
136074SUSE SLED15 / SLES15 Security Update : git (SUSE-SU-2020:1121-1)NessusSuSE Local Security Checks
high
136001Fedora 31 : git (2020-f6b3b6fb18)NessusFedora Local Security Checks
high
135949GLSA-202004-13 : Git: Information disclosureNessusGentoo Local Security Checks
high
135939Debian DLA-2182-1 : git security updateNessusDebian Local Security Checks
high
135895Ubuntu 16.04 LTS / 18.04 LTS / 19.10 : Git vulnerability (USN-4334-1)NessusUbuntu Local Security Checks
high
135892Slackware 14.0 / 14.1 / 14.2 / current : git (SSA:2020-112-01)NessusSlackware Local Security Checks
high
135794Debian DSA-4659-1 : git - security updateNessusDebian Local Security Checks
high